* {
    box-sizing: border-box;
}

*, *:before, *:after {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

 

/* styles to make filters */

.to-filter {
    width: 95%;
    max-width: 500px;
    margin: 10px auto 0px;
    text-align: center;
}

.filters {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: center;
}

button {
    background-color: rgba(255, 183, 50, 0.808);
    border-radius: 5px;
}

/* black line separator */

.black-line-separator {
    width: 100%;
    height: 1px;
    background-color: rgba(0, 0, 0, 0.63);
    margin: 20px 0px;
}

/* carreras preview: styles */

.title-carreras {
    text-align: center;
}

.carrera-preview-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

/* carrera item preview */

.carrera-preview-container {
    width: 100%;
}

.carrera-preview {
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    background-color:rgba(252, 206, 121, 0.886);
    width: 90%;
    max-height: 300px;
    margin-bottom: 20px;
}

.filters {
    justify-content: space-around;
    align-content: space-around;
}


.img-carrera-preview{
    width: 125px;
    height: 125px;
    padding: 5px;
}

.top-preview-carrera {
    display: flex;
    align-content: flex-start;
}

.info-carrera {
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    justify-content: center;
    align-content: space-around;
    align-items: flex-start;
}

.info-carrera h6 {
    padding-top: 10px;
}

.carrera-before-ad {
    margin-bottom: 0px;
}

.carrera-after-ad {
    margin-top: 20px;
}

/* inread ad styles (same styles as regual ad) */

.inread-ad {
    background-color: #fdc141; 
    width: 100%;
    max-width: 350px;
    max-height: 350px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;   
}

/* button ad & newsletter styles */

.colum-3 {
    display: none;
}

.full-button-carreras {
    margin-bottom: 20px;
}

/* This carrera is only for desktop. Not visible on mobile */
/* .carrera-desktop {
    visibility: none;
    width: 0px;
    height: 0px;
} */


 /* CSS DEGHOSTER  */
/* * {
    background: #000 !important;
    color: #0f0 !important;
    outline: solid #f00 1px !important;
  } 

* {
    width: 100%;
}   */

/* media-query */


@media (min-width: 548px) {

    .info-carreras-text {
        margin: 0px 130px !important;
    }

    .newsletter {
        margin-bottom: 0px;
    }

}

@media (min-width: 738px) {

    .info-carreras-text {
        margin: 0px !important;
    }

    .carrera-preview {
        max-width: 360px;
        max-height: 140px;
        margin: 10px 5px 0px;
    }

    .inread-ad {
        display: none;
    }

    .colum-3 {
        display: flex;
        flex-wrap: nowrap;
        margin: 0px auto;
        width: 70%;
        justify-content: space-around;
        align-items: center;
    }

    .ad {
        margin-top: 20px;
        height: 250px;
        width: 250px;
    }

    .ad-image {
        height: 80%;
        width: 80%;
    }

    
    .newsletter {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
        width: 100%;
        height: 250px;
    }


    .full-button-carreras {
        display: flex;
        justify-content: center;
        margin-top: 20px;
        width: 100%;
    }
}

@media (min-width: 1111px) {
    .carrera-desktop {
        width: 360px;
        height: 125px;
    }
}

@media (min-width: 1270px) {

    .main-carreras-container {
        display: flex;
        flex-wrap: nowrap;
    }

    .carrera-preview-container {
        width: 80%;
    }

    .title-carreras {
        padding-right: 300px;
    }

    .colum-3 {
        flex-wrap: wrap;
        align-content: flex-start;
        width: 20%;
        margin-top: 10px;
        margin-right: 10px;
        margin-left: 10px;
        margin-bottom: 30px;
    }

    .ad {
        margin-top: 0px;
        height: 300px;
        width: 300px;
    }

    .ad { order: 1; }
    .newsletter { order: 2; }

}